a:hover{
    color: var(--primary-color, #6d1105)
}
a:hover, button:hover{
    cursor: pointer;
}
.c-workshop-dialog{
    padding: 2rem;
}
.c-dialog-header{
    display:flex;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
   
}
.c-dialog-close{
    cursor: pointer;
    background: none ;
    border: none;
    transition: all 200ms ease;
}
.c-dialog-close:hover{
    color: var(--primary-color, #6d1105 );
    rotate: 90deg
}


.c-calendar-container{
    padding: 2rem;
    max-width: 75rem;
    margin:auto;
}

.c-calendar {
    background-color: var(--alternate-background-color);
    padding: 1rem;
    border-radius: 0.5rem;;
    text-align: center;
    box-sizing: border-box;
}
.c-calendar_header {
    display: grid;
    grid-template: auto auto / 1fr 1fr;
    grid-template-areas: " . month-and-year" "days days";
    gap: 1rem;
    width: 100%;
    justify-content: center;
    padding-bottom: 1.5rem;
    border-bottom: 1px solid #ccc;
}
.c-month-and-year{
    grid-area: month-and-year;
    display: flex;
    align-items: center;
    justify-content: end;
    gap: 1rem;
}
.c-days {
  grid-area: days;
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  gap: 0.5rem;
}

.c-calendar_body {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  grid-template-rows: repeat(5, 1fr);
  /* gap: 0.5rem; */
  justify-items: stretch;
  align-items: stretch;
}
.c-calendar_body .c-calendar-day-cell:nth-child(7),.c-calendar_body .c-calendar-day-cell:nth-child(14),  .c-calendar_body .c-calendar-day-cell:nth-child(21), .c-calendar_body .c-calendar-day-cell:nth-child(28), .c-calendar_body .c-calendar-day-cell:last-child  {
    border-right: 1px solid #ccc;
    
}
.c-calendar_body div:nth-child(1), .c-calendar_body div:nth-child(2), .c-calendar_body div:nth-child(3), .c-calendar_body div:nth-child(4), .c-calendar_body div:nth-child(5), .c-calendar_body div:nth-child(6), .c-calendar_body div:nth-child(7) {
    border-top: none;
}
  /* .c-calendar_body >.c-calendar-day-cell:nth-of-type(n+27),
  .c-calendar_body >.c-calendar-day-cell:nth-of-type(n+28),
  .c-calendar_body >.c-calendar-day-cell:nth-of-type(n+29), 
    .c-calendar_body > .c-calendar-day-cell:nth-of-type(n+30), 

   .c-calendar_body >.c-calendar-day-cell:last-of-type
{
    border-bottom: 1px solid #ccc;
} */
.u-border-bottom{
    border-bottom: 1px solid #ccc;
}

.c-calendar_body div {
  height: 100%;
  width: 100%;
  justify-content: center;
  align-items: center;
  display: flex;
  padding: 0.2rem;
}
div.c-day-number{
    align-self:start;
    width:auto;
    height:auto;
}
.c-calendar_body .selectable {
  background-color: var(--background-color);
}
.c-calendar_body .selected {
  background-color: blue;
}
div.c-calendar-day-cell{
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: stretch;
    gap: .5rem;
    padding: 0.5rem;
    border-top: 1px solid #ccc;
    border-left: 1px solid #ccc;
}
.c-calendar_body > div{
     border-top: 1px solid #ccc;
    border-left: 1px solid #ccc;
}
.c-uitverkocht, .c-past{
    color:  #ccc;
}
.c-dialog-message{
    font-weight: 600;
    color: var(--primary-color, #6d1105);
}
/* .c-calendar-day-cell button{
    height: 100%;
} */
.c-month {
  grid-area: month;
}
.c-year {
  grid-area: year;
}
.c-month,
.c-year {
  display: grid;
  grid-template-columns: 1fr 2.5fr 1fr;
  width: fit-content;
  justify-content: center;
  align-items: center;
}
.selectable div {
  display: flex;
  align-items: center;
  justify-content: center;
}
.selectable:has(div) {
  padding: 0;
}
.selectable {
  display: flex;
  justify-content: center;
  align-items: center;
  /* height: 100%; */
  width: 100%;
  padding: 0.2rem;
  border: none;
  border: 1px solid #ccc;
  transition: transform .2s ease;
}
.selectable:hover{
    transform: translateY(-5px);
    border-color: var(--primary-color, #6d1105);
}
.c-next, .c-previous{
    background: none;
    border: none;
    cursor: pointer;
    transition: all 200ms ease
}
.c-next:hover, .c-previous:hover{
    color: var(--primary-color, #6d1105);
}
.c-next:hover{
    transform: translateX(3px);
}
.c-previous:hover{
    transform: translateX(-3px);
}
.c-month_span, .c-year_span{
    font-weight: 600;
}
@media (width < 400px)
{
    .c-calendar-container{
        padding: 1rem;
    }
    .c-calendar_body{
        gap: 0.1rem;
    }
    .c-calendar{
        padding: 0.5rem;
    }
    .c-days{
        gap: 0.1rem;
       overflow: hidden;

    }
    .c-days div{
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
    }
    div.c-calendar-day-cell{
    
    gap: .1rem;
    padding: 0.1rem;
    

}

}